@import "assets/scss/global";

.account-info-wrapper {
    display: flex;
    flex-direction: column;

    .current-plan {
        background: #FFFFFF;
        box-shadow: 20px 20px 60px rgba(0, 0, 0, 0.1);
        border-left: 20px solid #FCC05A;
        border-radius: 12px;
        height: 104px;
        box-sizing: border-box;
        padding: 12px 30px 12px 0;
        display: flex;
        justify-content: space-between;
        align-items: center;

        &.is-expired {
            border-left: 20px solid $primary-color;
        }

        .left {
            display: flex;
            align-items: center;

            &.is-expired {
                p{
                    color: #F82626;
                }
            }

            svg {
                margin: 0 20px;
            }

            span {
                font-weight: 600;
                font-size: 20px;
                line-height: 30px;
                color: $dark-color;
            }

            p {
                line-height: 22px;
                font-weight: 500;
                color: $dark-color;
                margin-top: 4px;

                span {
                    font-size: 15px;
                    color: $primary-color;
                }
            }
        }

        .right {
            display: flex;
            column-gap: 20px;

            button {
                height: 48px;
                width: 160px;
                font-weight: 600;
                font-size: 16px;
                line-height: 24px;
            }
        }
    }

    .info-and-form {
        width: 100%;
        max-width: 536px;
        margin: auto;
        margin-top: 24px;
        border-radius: 12px;
        background-color: white;

        .main {
            padding: 24px 20px;
            padding-bottom: 60px;

            .head {
                display: flex;
                flex-direction: row;
                align-items: center;
                justify-content: space-between;
                gap: 16px;

                h3 {
                    font-weight: 600;
                    font-size: 16px;
                    line-height: 17px;
                    color: #343434;
                }

                button {
                    font-weight: 500;
                    font-size: 16px;
                    line-height: 24px;
                    background-color: transparent;
                    outline: none;
                    border: none;
                    color: #FF6337;
                    padding: 2px 6px;
                }
            }

            .content-head {
                display: flex;
                flex-direction: column;
                justify-content: center;
                align-items: center;
                margin-top: 24px;
                gap: 12px;

                .avatar-section {
                    background: linear-gradient(to right, #F79945, #F84C26);
                    border-radius: 200px;
                    height: 104px;
                    width: 104px;
                    position: relative;

                    .tooltip-error {
                        position: absolute;
                        width: 296px;
                        background: #FF7B53;
                        border-radius: 4px;
                        padding: 16px;
                        bottom: calc(-100% - 16px);
                        left: 50%;
                        transform: translateX(-50%);
                        z-index: 1;

                        &::before {
                            content: '';
                            position: absolute;
                            border-right: 10px solid transparent;
                            border-bottom: 10px solid #FF7B53;
                            border-left: 10px solid transparent;
                            top: -10px;
                            left: 50%;
                            transform: translateX(-50%);
                        }
                        span {
                            font-weight: 400;
                            font-size: 14px;
                            line-height: 24px;
                            color: #FFFFFF;
                            text-align: start;
                        }
                        b {
                            font-weight: 700;
                        }
                    }
                }

                .avatar {
                    position: absolute;
                    background: white;
                    border-radius: 50%;
                    padding: 4px;
                    width: 96px;
                    height: 96px;
                    display: block;
                    text-align: center;
                    top: 4px;
                    left: 4px;

                    img {
                        height: 100%;
                        width: 100%;
                        object-fit: cover;
                        object-position: center;
                        border-radius: 50%;
                        cursor: pointer;
                    }
                    .avatar-default{
                        height: 70px;
                        width: 70px;
                        position: absolute;
                        top: 0;
                        left: 0;
                        transform: translate(14px,14px);
                    }
                    .camera {
                        position: absolute;
                        bottom: 4px;
                        right: 0px;
                        padding: 4px;
                        background: linear-gradient(88.16deg, #F79945 1.56%, #F84C26 97.89%);
                        box-shadow: 4px 4px 10px rgba(248, 76, 38, 0.21);
                        border-radius: 16px;
                        width: 24px;
                        height: 24px;
                        cursor: pointer;

                        @include largeScreen {
                            bottom: 0;
                        }
                    }

                    svg{
                        cursor: pointer;
                    }

                    input {
                        width: 100%;
                        height: 100%;
                        display: none;
                    }
                }

                .user-role {
                    font-style: normal;
                    font-weight: 500;
                    font-size: 16px;
                    line-height: 24px;
                    color: #757688;
                }
            }

            .form {
                display: flex;
                flex-direction: column;
                row-gap: 20px;
                margin-top: 24px;

                input {
                    height: 54px;
                    width: 100%;

                    &:disabled {
                        color: #8E91A0;
                    }
                }
            }
        }

        .actions {
            padding: 24px;
            background: #FFFFFF;
            box-shadow: 0px -4px 54px rgba(0, 0, 0, 0.1);
            justify-content: center;
            align-items: center;
            display: flex;
            border-radius: 0 0 12px 12px;

            button {
                min-width: 136px;
                height: 40px;
            }
        }
    }
}


.change-pass-modal {
    display: flex;
    flex-direction: column;
    width: 469px;
    height: 382px;

    .header {
        display: flex;
        justify-content: space-between;

        p {
            font-weight: 600;
            font-size: 20px;
            line-height: 30px;
            color: #202226;
        }

        button {
            padding: 12px;
            cursor: pointer;
        }
    }

    .body {
        width: 100%;
        height: 100%;
        padding-top: 10px;

        .password-form {
            height: 100%;
            display: flex;
            flex-direction: column;
            align-items: center;

            .change-pass-input {
                border-radius: 10px;
                width: 100%;
                height: 75%;
                display: flex;
                flex-direction: column;
                row-gap: 10px;

                input {
                    height: 54px;
                }
            }

            .footer {
                padding-top: 10px;
                height: 25%;
                width: 100%;
                display: flex;
                align-items: center;
                justify-content: flex-end;

                button {
                    width: 132px;
                    height: 40px;
                    box-shadow: 0px 12px 20px rgba(248, 76, 38, 0.15);
                }
            }
        }
    }
}